Portfolio

Ledger table

GET/portfolio/tables/ledger

Returns a paginated ledger of cash-flow entries (calls, distributions, fees) for the portfolio. Supports filtering by asset, investor, date, and cash-flow type.

Query parameters

  • asset_idinteger#
  • investor_idinteger#
  • per_pageinteger#
  • pageinteger#
  • pre_datestring (date-time)#
  • filter[asset]string | null#
  • filter[cash_flow_from]string | null#
  • filter[cash_flow_to]string | null#
  • filter[investor]string | null#
  • filter[date]string | null#
  • filter[date_from]string | null#
  • filter[date_to]string | null#
  • filter[type]PortfolioCashFlowType | null#
  • filter[transaction_type]PortfolioTransactionType | null#

Responses

200

LengthAwarePaginator

PortfolioLengthAwarePaginator
{
  "current_page": 1,
  "data": "string",
  "first_page_url": "string",
  "from": 1,
  "last_page": 1,
  "last_page_url": "string",
  "links": {},
  "next_page_url": "string",
  "path": "string",
  "per_page": 1,
  "prev_page_url": "string",
  "to": 1,
  "total": 1
}
422

Validation error

Examples

curl https://your-org-domain/kong/core/api/v2/portfolio/tables/ledger\
  -H "Authorization: Bearer $HELM_API_KEY"\
  -H "Content-Type: application/json"